Bug 195753 - System shutting down -- need manual reset (CPU0 FATAL TRAP 6)
System shutting down -- need manual reset (CPU0 FATAL TRAP 6)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-17 00:35 EDT by Thomas von Steiger
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 01:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas von Steiger 2006-06-17 00:35:11 EDT
Description of problem:

From time to time (1-2 Days) i have the xen host down with always with the same
error:

(XEN) ************************************
(XEN) CPU0 FATAL TRAP 6 (invalid opcode), ERROR_CODE 0000, IN INTERRUPT CONTEXT.
(XEN) System shutting down -- need manual reset.
(XEN) ************************************

Version-Release number of selected component (if applicable):

This Problem is availabel with this kernel versions:
2.6.16-1.2122_FC5xen0
2.6.16-1.2129_FC5xen0
2.6.16-1.2133_FC5xen0

I never see this problem with Kernel 2.6.16-1.2096

How reproducible:
There are differend situations do have this problem:
- sometime if "yum update" is running
- sometime if i do install of a new xen guest with kickstart
- sometime if i do nothing (there are running 6 xen guest's)

Steps to Reproduce:
1.
2.
3.
  
Actual results:

(XEN) HVM_PIT: guest freq in cycles=12001677
(XEN) Assertion '(sp == 0) || (pending_eoi[cpu][sp-1].vector < vector)' failed,
line 189, file irq.c
(XEN) BUG at irq.c:189
(XEN) (file=extable.c, line=77) Pre-exception: ff13179b -> 00000000
(XEN) ----[ Xen-3.0.2-2    Not tainted ]----
(XEN) CPU:    0
(XEN) EIP:    e008:[<ff13179b>] __do_IRQ_guest+0x192/0x2af
(XEN) EFLAGS: 00010082   CONTEXT: hypervisor
(XEN) eax: ff1a6eb8   ebx: 6fb7a368   ecx: 00004001   edx: 000072c4
(XEN) esi: 00001e76   edi: c03e7000   ebp: ff1b9e6c   esp: ff1b9e34
(XEN) cr0: 8005003b   cr3: 61531000
(XEN) ds: e010   es: e010   fs: e010   gs: e010   ss: e010   cs: e008
(XEN) Xen stack trace from esp=ff1b9e34:
(XEN)    ff19741d ff19742b 000000bd ff19742b ff1b9fb4 00000002 00000013 ff1d2d00 
(XEN)    ffbb5280 ff1b9e88 00000020 00000001 00000000 6fb7a368 ff1b9e9c ff1312ac 
(XEN)    000000b0 00000300 31558422 ff1b9ea0 00000046 00000000 000000b0 ff1d2d00 
(XEN)    00000002 6fb7a368 00e46143 ff12cde5 ff1b9ea8 6fb7a368 bcc91a27 00000000 
(XEN)    00001e76 c03e7000 ff1b9f0c 62ac2175 00b00000 ff1419b4 0000e008 00000282 
(XEN)    62ac2175 00000000 ff1e5798 ffc34000 ffc34002 ff1e5780 1f753b9c 00005b65 
(XEN)    62ac2175 00000000 ffbba040 ff17426b ffb4f080 c03b8000 ff1b9f7c ff11b302 
(XEN)    00000002 ffbea080 ffbba000 ff1b9f40 ff1081eb ffbb6080 0000000e ff1b9f40 
(XEN)    ff1318d0 0000000e ffbf1aa8 ff1b9f80 ff1318a0 ffbea080 00000013 00000000 
(XEN)    00000046 ffb4f080 00000000 00000000 ff1d2d00 ffbb5280 ffbea080 00000001 
(XEN)    00000000 ffb4f080 ff1b9fac ff11bb79 00000001 ff1c2500 00e46037 ff1b9fb4 
(XEN)    ff1b9fac ff17e237 00000002 00000001 00000000 00000002 00000000 ff17e436 
(XEN)    00000086 00000000 fffffffe c03b8000 c03e7000 00000000 000000f8 00880000 
(XEN)    000000f8 00b00000 00000000 0000e008 00000202 0000007b 0000007b 00000000 
(XEN)    00000000 00000000 ffb4f080 
(XEN) Xen call trace:
(XEN)    [<ff13179b>] __do_IRQ_guest+0x192/0x2af
(XEN)    [<ff1312ac>] do_IRQ+0x58/0x18e
(XEN)    [<ff12cde5>] common_interrupt+0x45/0x50
(XEN)    [<ff1419b4>] get_s_time+0x5f/0x7b
(XEN)    [<ff11b302>] __enter_scheduler+0x29/0x48c
(XEN)    [<ff11bb79>] do_softirq+0xa1/0xb8
(XEN)    
(XEN) ************************************
(XEN) CPU0 FATAL TRAP 6 (invalid opcode), ERROR_CODE 0000, IN INTERRUPT CONTEXT.
(XEN) System shutting down -- need manual reset.
(XEN) ************************************

Expected results:


Additional info:
Comment 1 Thomas von Steiger 2006-07-27 01:30:16 EDT
With new Kernel Versions:

2.6.17-1.2139
2.6.17-1.2145
2.6.17-1.2157

I never have this Problem again. Xen host is stable now...:-)

Note You need to log in before you can comment on or make changes to this bug.